#3049 closed defect (fixed)

Warnings in libdebugger

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

I started fixing the warnings in libdebugger with the latest tools but apparently some of the variables can't be changed to const char *const. So filing as a ticket so Chris can fix them more accurately.

67 ../../../../../../rtems/c/src/../../cpukit/libdebugger/rtems-debugger-server.c:957:25: warning: comparison between pointer and zero character constant [-Wpointer-compare]

67 ../../../../../../rtems/c/src/../../cpukit/libdebugger/rtems-debugger-server.c:61:19: warning: duplicate 'const' declaration specifier [-Wduplicate-decl-specifier]
67 ../../../../../../rtems/c/src/../../cpukit/libdebugger/rtems-debugger-server.c:60:19: warning: duplicate 'const' declaration specifier [-Wduplicate-decl-specifier]
67 ../../../../../../rtems/c/src/../../cpukit/libdebugger/rtems-debugger-server.c:53:14: warning: duplicate 'const' declaration specifier [-Wduplicate-decl-specifier]
67 ../../../../../../rtems/c/src/../../cpukit/libdebugger/rtems-debugger-server.c:1490:14: warning: duplicate 'const' declaration specifier [-Wduplicate-decl-specifier]
67 ../../../../../../rtems/c/src/../../cpukit/libdebugger/rtems-debugger-server.c:1426:14: warning: duplicate 'const' declaration specifier [-Wduplicate-decl-specifier]
67 ../../../../../../rtems/c/src/../../cpukit/libdebugger/rtems-debugger-server.c:1302:14: warning: duplicate 'const' declaration specifier [-Wduplicate-decl-specifier]
67 ../../../../../../rtems/c/src/../../cpukit/libdebugger/rtems-debugger-server.c:1260:14: warning: duplicate 'const' declaration specifier [-Wduplicate-decl-specifier]
67 ../../../../../../rtems/c/src/../../cpukit/libdebugger/rtems-debugger-server.c:1064:14: warning: duplicate 'const' declaration specifier [-Wduplicate-decl-specifier]
67 ../../../../../../rtems/c/src/../../cpukit/libdebugger/rtems-debugger-server.c:1025:14: warning: duplicate 'const' declaration specifier [-Wduplicate-decl-specifier]
60 ../../../../../../rtems/c/src/../../cpukit/libdebugger/rtems-debugger-arm.c:302:14: warning: duplicate 'const' declaration specifier [-Wduplicate-decl-specifier]
60 ../../../../../../rtems/c/src/../../cpukit/libdebugger/rtems-debugger-arm.c:301:14: warning: duplicate 'const' declaration specifier [-Wduplicate-decl-specifier]

Change History (3)

comment:1 Changed on Jun 14, 2017 at 2:30:24 PM by Joel Sherrill

Owner: set to Chris Johns
Status: newassigned

comment:2 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:3 Changed on Oct 14, 2018 at 12:48:28 AM by Joel Sherrill

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.